Loading...
Searching...
No Matches
IterableValueMap< GR, K, V >::ItemIt Class Reference

## Detailed Description

template<typename GR, typename K, typename V>
class lemon::IterableValueMap< GR, K, V >::ItemIt

Iterator for the keys with the same value. It works like a graph item iterator, it can be converted to the item type of the map, incremented with `++` operator, and if the iterator leaves the last valid item, it will be equal to `INVALID`.

`#include <lemon/maps.h>`

## Public Member Functions

| ItemIt (Invalid)
| Invalid constructor & conversion.
| ItemIt (const IterableValueMap &map, const Value &value)
| Creates an iterator with a value.
ItemIt & | operator++ ()
| Increment operator.

## Constructor & Destructor Documentation

## ItemIt() [1/2]

template<typename GR, typename K, typename V>

ItemIt | ( | Invalid |  | ) |

inline

This constructor initializes the iterator to be invalid.

See also
  Invalid for more details.

## ItemIt() [2/2]

template<typename GR, typename K, typename V>

ItemIt | ( | const IterableValueMap & | map,
|  | const Value & | value )

inline

Creates an iterator with a value. It iterates on the keys which have the given value.

Parameters

  map | The IterableValueMap
  value | The value

## Member Function Documentation

## operator++()

template<typename GR, typename K, typename V>

ItemIt & operator++ | ( |  | ) |

inline

Increment Operator.